ranges::index_fn Struct Reference
Range

## Description

Unchecked indexed range access.

## Public Member Functions

| assert (!(bool) sized_range< Rng >||static_cast< D >(n)< ranges::distance(rng))
| assert (0<=static_cast< D >(n))
template<typename Rng , typename Int >
CPP_TEMPLATE_AUX_0 | c (requires ` random_access_range< Rng > &&integral< Int > &&borrowed_range< Rng >) ccconstexpr range_reference_t< Rng > operator()(Rng &&rng
return | ranges::begin (rng)[static_cast< D >(n)]

## Public Attributes

CPP_TEMPLATE_AUX_0 Int n | const

## Member Function Documentation

## c()

template<typename Rng , typename Int >

CPP_TEMPLATE_AUX_0 ranges::index_fn::c | ( | requires ` random_access_range< Rng > &&integral< Int > &&borrowed_range< Rng > |  | ) | &&

Returns
  `begin(rng)[n]`

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Int n ranges::index_fn::const

Initial value:
{
using D = range_difference_t<Rng>
range_difference_t< Rng >